import statusCode from "../utils/statusCodes";
import { getRooms } from "../db/api";
import logger from "../system/Logger";

export async function rooms(body, res) {
    const { mailboxId, offset, limit } = body;
    getRooms(mailboxId).then((rooms) => {
        res.status(statusCode.OK).json(rooms);
    }).catch((err) => {
        logger.err(err)
        res.status(statusCode.INTERNAL_SERVER_ERROR);
    });
}
